%define mediawiki_extensions %{_datadir}/mediawiki/extensions
%define oname Renameuser
%define mwikiver 1.20
%define gitrel 5faeac9

Name:		mediawiki-renameuser
Summary:	Mediawiki extension to rename user accounts
Version:	1.20
Release:	%mkrel 1
URL:		http://www.mediawiki.org/wiki/Extension:Renameuser
# Upstream download page is a git snapshot, and snapshot version is 
# different from the downloaded package.
Source0:	%{oname}-MW%{mwikiver}-%{gitrel}.tar.gz
License:	GPLv2+
Requires:	mediawiki
Group:		System/Servers
BuildArch:	noarch

%description
Renameuser provides a special page which allows authorized users to
rename user accounts. This will cause page histories, etc. to be updated.

%prep
%setup -q -n %{oname}-%{gitrel}

%install
%{__install} -d %{buildroot}%{mediawiki_extensions}/%{oname}
%{__install} * %{buildroot}%{mediawiki_extensions}/%{oname}

%files
%{mediawiki_extensions}/%{oname}


%changelog

* Wed May 08 2013 solbu <solbu> 1.20-1.mga3
+ Revision: 412671
- Fix versioning, using git branch name
- New version
- Fix Requires

* Thu Jan 24 2013 sander85 <sander85> 0-0.66255.4.mga3
+ Revision: 392020
- Fix mediawiki version

* Sat Jan 12 2013 umeabot <umeabot> 0-0.66255.3.mga3
+ Revision: 359915
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Apr 17 2011 stormi <stormi> 0-0.66255.2.mga1
+ Revision: 87427
- fix RPM group : use the same as the mediawiki package

* Tue Mar 22 2011 boklm <boklm> 0-0.66255.1.mga1
+ Revision: 75446
- imported package mediawiki-renameuser

